From: <a href="/blend/av.cgi?id=1610">redplasticroses</a><BR>
Date: 9 April 2008<P>

Thanks for the front page honor, I truly am honored to be amongst so many wonderful poets.
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 9 April 2008<P>

redplasticroses, about <a href="/blend/wv.cgi?id=2008.04.09.07.18.16771">Watercolors</a>: Your words are like your paintings I would imagine. Each stroke is heart felt and a true art form. Do you have a site for your paintings that we can see?<BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=1610">redplasticroses</a><BR>
Date: 9 April 2008<P>

No, I don't have a site yet.I am working on one and will take pics and post when it is up. Thanks. 
<HR>